#1206 closed defect (fixed)

__RTEMS_REVISION__ broken in all rtems versions

Reported by: Johnny Willemsen Owned by: Joel Sherrill
Priority: normal Milestone: 4.7
Component: unspecified Version: 4.6
Severity: minor Keywords:
Cc: Blocked By:
Blocking:

Description

I am not sure how the number is exactly used but I want to test whether I am building against 4.6.6 or 4.6.5 or another release of the 4.6 branch. I can use the following:

#if (RTEMS_MAJOR > 4)
(RTEMS_MAJOR == 4 && RTEMS_MINOR > 6)

But I want to test for the last digit also (1 until 6 for 4.6 at this moment)

Change History (3)

comment:1 Changed on Jan 2, 2007 at 1:30:12 PM by Johnny Willemsen

Severity: enhancementminor
Summary: Now possible to check for micro number__RTEMS_REVISION__ broken in all rtems versions

comment:2 Changed on Jan 27, 2007 at 7:41:11 AM by Ralf Corsepius

Resolution: fixed
Status: newclosed

Should now be fixed on rtems-4-6-branch, rtems-4-7-branch and HEAD.

comment:3 Changed on Oct 10, 2017 at 6:35:44 AM by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.